Subject: Re: [PATCH 7/6] t0021: use $SHELL_PATH for the filter script

From: Johannes Sixt <[email-masked]>
Date: Mon, 04 Jan 2010 16:50:39 +0100

Jeff King schrieb:
> On Fri, Jan 01, 2010 at 11:14:06PM +0100, Johannes Sixt wrote:
> 
>> On Windows, we need the shbang line to correctly invoke shell scripts via
>> a POSIX shell, except when the script is invoked via 'sh -c' because
>> sh (a bash) does "the right thing". Since nowadays the clean and smudge
>> filters are not always invoked via 'sh -c' anymore, we have to mark the
>> the one in t0021-conversion with #!$SHELL_PATH.
> 
> Hrm. This does mean we might be breaking users who have helper scripts
> in a similar state to those in the test suite...

Not helper scripts in general, but only clean and smudge filters, because 
these have been invoked with "sh -c" so far. Everything else, that was not 
run via "sh -c", but now is, is safe.

-- Hannes